Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Static Public Member Functions | List of all members
eZISBNRegistrantRange Class Reference

The class eZISBNRegistrantRange handles Registrant ranges. More...

Inheritance diagram for eZISBNRegistrantRange:

## Static Public Member Functions
static | definition ()
static | create ( $ISBNGroupID, $fromNumber, $toNumber, $registrantFrom, $registrantTo, $length)
static | removeByID ( $id)
static | fetchListByGroupID ( $groupID, $asObject=true)
static | extractRegistrant ( $isbnNr, $group, $groupRange, &$registrantLength)
static | cleanAll ()
Static Public Member Functions inherited from eZPersistentObject
static | replaceFieldsWithShortNames (eZDBInterface $db, array $fieldDefs, &$fields)
static | count ( $def, $conds=null, $field=null)
static | fetchObject ( $def, $field_filters, $conds, $asObject=true, $grouping=null, $custom_fields=null)
static | removeObject ( $def, $conditions=null, $extraConditions=null)
static | storeObject ( $obj, $fieldFilters=null)
static | conditionText ( $conditions)
static | conditionTextByRow ( $conditions, $row)
static | fetchObjectList ( $def, $field_filters=null, $conds=null, $sorts=null, $limit=null, $asObject=true, $grouping=false, $custom_fields=null, $custom_tables=null, $custom_conds=null)
static | handleRows ( $rows, $class_name, $asObject)
static | swapRow ( $table, $keys, $order_id, $rows, $id1, $id2)
static | newObjectOrder ( $def, $orderField, $conditions)
static | reorderObject ( $def, $orderField, $conditions, $down=true)
static | escapeArray ( $array)
static | updateObjectList ( $parameters)
static | getShortAttributeName ( $db, $def, $attrName)

## Additional Inherited Members
Public Member Functions inherited from eZPersistentObject
| __construct ( $row=null)
| eZPersistentObject ( $row=null)
| fill ( $row)
| remove ( $conditions=null, $extraConditions=null)
| store ( $fieldFilters=null)
| sync ( $fieldFilters=null)
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr, $noFunction=false)
| setAttribute ( $attr, $val)
| hasDirtyData ()
| setHasDirtyData ( $hasDirtyData)
Public Attributes inherited from eZPersistentObject
| $PersistentDataDirty
| $ID
| $ContentObjectID
| $SectionID
| $OwnerID
| $ClassID
| $Published
| $Modified
| $CurrentVersion
| $Status
| $RemoteID
| $LanguageMask
| $InitialLanguageID
| $NodeID
| $ParentNodeID
| $MainNodeID
| $ContentObjectVersion
| $ContentObjectIsPublished
| $Depth
| $SortField
| $SortOrder
| $Priority
| $ModifiedSubNode
| $PathString
| $PathIdentificationString
| $IsHidden
| $IsInvisible
| $UserID
| $Name
| $Locale
| $Identifier
| $NavigationPartIdentifier
| $SerializedDescriptionList
| $URLAliasName
| $AlwaysAvailable
| $CanTranslate
| $DataInt1
| $DataInt2
| $DataInt3
| $DataInt4
| $DataFloat1
| $DataFloat2
| $DataFloat3
| $DataFloat4
| $DataText1
| $DataText2
| $DataText3
| $DataText4
| $DataText5
| $SerializedDataText
| $Category
| $PolicyID
| $Values
| $Created
| $CurrencyCode
| $ProductCollectionID
| $ItemCount
| $Price
| $IsVATIncluded
| $VATValue
| $DiscountValue
| $Email
| $IsTemporary
| $IsArchived
| $IsActive
| $OrderID
| $ModifierID
| $Code
| $Symbol
| $AutoRateValue
| $CustomRateValue
| $RateFactor
| $Main
| $MementoKey
| $MainKey
| $WorkflowEventPos
| $LanguageID
| $ContentObjectStateGroupID
| $contentobject_attribute_id
| $contentobject_id
| $rating
| $rating_count
| $rating_average
Static Protected Member Functions inherited from eZPersistentObject
static | replaceFieldsWithLongNames (eZDBInterface $db, array $fieldDefs, &$fields)

## Detailed Description

The class eZISBNRegistrantRange handles Registrant ranges.

Has information about how the different ranges the registrant element could be in. Example: From 00 to 19 and continues from 200-699. This means that the length of the registrant can differ from range to range.

The registrant element is the third element in the ISBN-13 number, after the Prefix and Registration group number.

Example: 978-0-11-000222-4 where 11 is the registrant number.

The different Registrant ranges are described in more detail at http://www.isbn-international.org

Definition at line 29 of file ezisbnregistrantrange.php.

## Member Function Documentation

## ◆ cleanAll()

static eZISBNRegistrantRange::cleanAll | ( |  | ) |
| static

Removes all ISBN group ranges from the database.

Definition at line 187 of file ezisbnregistrantrange.php.

References definition(), and eZDB\instance().

Referenced by eZISBNType\cleanDBDataBeforeImport().

## ◆ create()

static eZISBNRegistrantRange::create | ( |  | $ISBNGroupID,
|  |  | $fromNumber,
|  |  | $toNumber,
|  |  | $registrantFrom,
|  |  | $registrantTo,
|  |  | $length
| ) |  |
| static

Parameters

  $ISBNGroupID | The id that point to the ISBN Group object (Which contain info about the area and the unique group number).
  $fromNumber | Group is starting from test number, which is based on. Example: 20000 the 5 numbers after the Prefix number and Registration Group number.
  $toNumber | Group is ending on test number, which is based on. Example: 69999 the 5 numbers after the Prefix number and Registration Group number.
  $registrantFrom | Registrant number is starting on, based on the length set in the registrant range. Is a string to support 0 in front. Example: 200
  $registrantTo | Registrant number ending on, based on the length set in the registrant range. Is a string to support 0 in front. Example: 699
  $length | How many characters $registrantFrom and $registrantTo should have.

Create a new registrant range for an ISBN group / area.

Returns
  A new eZISBNRegistrantRange object.

Definition at line 92 of file ezisbnregistrantrange.php.

## ◆ definition()

static eZISBNRegistrantRange::definition | ( |  | ) |
| static

Definition of the ranges for ISBN Registrant.

Reimplemented from eZPersistentObject.

Definition at line 34 of file ezisbnregistrantrange.php.

Referenced by cleanAll(), extractRegistrant(), fetchListByGroupID(), and removeByID().

## ◆ extractRegistrant()

static eZISBNRegistrantRange::extractRegistrant | ( |  | $isbnNr,
|  |  | $group,
|  |  | $groupRange,
|  | & | $registrantLength
| ) |  |
| static

Will extract the registrant number based on the different ranges which is based on the 5 first digits after the Prefix field and the registration group number.

Parameters

  $isbnNr | Should be a stripped down ISBN number with just the digits (ean number).
  $group | is an object of eZISBNGroup, which needs to be known before this function is called. Contains information about the group itself.
  $groupRange | is an object of eZISBNGroupRange, which needs to be known before this function is called. Contains information about the valid ranges for the ISBN group.
  $registrantLength | is the length of the Registrant in the range that was found. Is sent back in the reference variable.

Returns
  the registrant range object if found and false if not found.

Definition at line 151 of file ezisbnregistrantrange.php.

References eZPersistentObject\count(), definition(), and eZPersistentObject\fetchObjectList().

Referenced by eZISBN13\extractISBNNumber().

## ◆ fetchListByGroupID()

static eZISBNRegistrantRange::fetchListByGroupID | ( |  | $groupID,
|  |  | $asObject = `true`
| ) |  |
| static

Fetch the registrant group for a unique registration group area.

Parameters

  $groupID | The id that point to the ISBN Group object (Which contain info about the area and the unique group number).
  $asObject | If the result should be returned as object or an array.

Returns
  the registrant list for an ISBN registration group id.

Definition at line 126 of file ezisbnregistrantrange.php.

References definition(), and eZPersistentObject\fetchObjectList().

## ◆ removeByID()

static eZISBNRegistrantRange::removeByID | ( |  | $id | ) |
| static

Removes the registrant area based on ID $id.

Definition at line 110 of file ezisbnregistrantrange.php.

References definition(), and eZPersistentObject\removeObject().

The documentation for this class was generated from the following file:

- ezisbnregistrantrange.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.